Page 1 of 2

davinci resolve 16.2 does not work, but earlier versions do

Posted: Tue Mar 10, 2020 11:52 pm
by TomasCarrasco
Has anyone had this problem with Davinci Resolve 16.2? With previous versions it worked perfectly, but now it locks in the program load and does not start ... I have tried doing uninstall completely clean but it does not work either.

My Hackintosh
Asus TUF x570
Ryzen 3900x
Vega 64
32Gb Ram

Opencore 055
Kexts:
NullCPUPowerManagement
lilu
RealtekRTL8111
USBInjectall
VirtualSMC
WhateverGreen
AppleALC

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Wed Mar 11, 2020 8:02 am
by HackeyMac
What OS version are you running?

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Wed Mar 11, 2020 8:35 am
by puciak
I have the same problem on the newest Catalina, 3900X, Saphire RX580 Pulse with OpenCore. I installed version 16.0 and works so far.

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Wed Mar 11, 2020 2:47 pm
by TomasCarrasco
HackeyMac wrote: Wed Mar 11, 2020 8:02 am What OS version are you running?
Catalina 10.15.3 Later I will add information about the Davinci Resolve error, and please, be patient with me, it is my second hackintosh, the first I did it about 10 years ago and it did not go very well, this time so that everything is better and I don't know much about macOS no technicalities in hackintosh, I have followed the Vanilla Opencore guide
Post Merged
puciak wrote: Wed Mar 11, 2020 8:35 am I have the same problem on the newest Catalina, 3900X, Saphire RX580 Pulse with OpenCore. I installed version 16.0 and works so far.
have you tried with version 16.1.2? this works for me

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Fri Mar 13, 2020 10:22 am
by puciak
Probably 16.1.2 will work, I just tried 16.0 to see if that would make any difference.

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Fri Mar 13, 2020 9:34 pm
by Alpine
Davinci Resolve 16.2 can work with the same fix as Matlabs needs:

Replace this file in the /contents/library folder within the Davinci Resolve package

https://osdn.net/projects/sfnet_badgui2 ... mp5.dylib/

The stock open mp library has some functions running only on intel CPUs.

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Fri Mar 13, 2020 10:19 pm
by TomasCarrasco
Thanks it worked! The truth is that I do not know what matlabs is (I searched on google but I did not see anything related), how did you know that it was solved with this? I'm curious

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Fri Mar 13, 2020 10:48 pm
by Alpine
It's from this thread: viewtopic.php?f=6&t=6964

I thought it looked a lot like the Davinci Resolve 16.2 problem so I just tried it. Because there are no problems with 16.2 on Intel Hackintoshes it had to be AMD related, just like this MatLab issue.
I guess it's just dumb luck it actually worked.

I haven't checked much of Davinci Resolve 16.2 with this patch applied yet. It still might crash on some other point.

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Sat Mar 14, 2020 12:11 am
by TomasCarrasco
:clap: :clap: :clap: :clap:

Re: davinci resolve 16.2 does not work, but earlier versions do

Posted: Sat Mar 28, 2020 5:12 am
by hawe25
Thank you, you saving my life! :D :thumbup: :clap: